using System;
using System.Drawing;
using System.Windows.Forms;

namespace SdiAppSimple
{
	/// <summary>
	/// Summary description for View1.
	/// </summary>
	public class View2 : SdiTemplate.SdiView
    {
        private void Init()
        {
            InitializeComponent();
            this.Size = new Size(700, 600);
            this.MouseDown += new System.Windows.Forms.MouseEventHandler(View2_MouseDown);
        }

        //Default constructor is required for designer.
		public View2()
		{
            Init();
		}

		public View2(String name, SdiTemplate.SdiMainForm parent)
			: base(name, parent)
		{
			Init();
		}

        public override void SdiView_Paint(object sender, PaintEventArgs e)
        {
            Graphics g = e.Graphics;
            foreach (Point pt in Document.GetPoints())
            {
                g.FillEllipse(Brushes.Green, pt.X, pt.Y, 100, 20);
                g.DrawEllipse(Pens.Crimson, pt.X, pt.Y, 100, 20);
            }
        }

        public override void Update(object sender)
        {
            BackColor = Document.BackColor;
            base.Update(sender);
        }

		private void InitializeComponent()
		{
			// 
			// View2
			// 
			this.BackColor = System.Drawing.SystemColors.InactiveCaptionText;

		}

		private void View2_MouseDown(object sender, System.Windows.Forms.MouseEventArgs e)
		{
			if (e.Button != MouseButtons.Right) 
			{
				Document.Add(new Point(ClientRectangle.Width - e.X, 
					ClientRectangle.Height - e.Y));
			}
		}

		public Doc1 Document
		{
			get 
			{
				return (Doc1) Parent.Doc;
			}
		}	

	}
}
